terraform {
  required_providers {
    google = {
      source  = "hashicorp/google"
      version = "=3.82.0"
    }
  }
}

provider "google" {
  project = var.project_id
  region  = var.region
  zone    = var.zone
}

resource "random_string" "deployment_id" {
  length  = 4
  lower   = true
  numeric  = true
  upper   = false
  special = false
}

data "google_compute_default_service_account" "default" {
}